/*インクルード***********************************************************/
#include "lpc13xx.h"
#include "gpio.h"
#include "vs-wrc103.h"
#include "ixbus.h"

/*マクロ***********************************************************/

/*グローバル変数***********************************************************/

/*メイン関数***********************************************************/
int main (void)
{
	//制御周期の設定[単位：Hz　範囲：30.0~]
	const unsigned short MainCycle = 60;
	unsigned int data[8];

	Init(MainCycle);		//CPUの初期設定
	I2C_init();				//IXBUS初期化

	//ループ
	while(1){
		Sync();

		Get_IX008(0x90,data);	//addr = 0x90、8個の値を受信
		if(data[0] > 3000 )
			LED(1);
		else if(data[0] < 1000 )
			LED(2);
		else
			LED(0);
	}
}
